class Blume {
  float x,y;
  color c1,c2,c3,c4;
  float d;
  
  Blume(float xNeu, float yNeu, float dNeu) {
    x = xNeu;
    y = yNeu;
    colorMode(RGB);
    c1 = #FFFF00; //gelb
    c2 = #11D629; //gruen
    c3 = #1024CB; //blau
    c4 = #FF8808; //Orange
    d = dNeu;
  }
  
  Blume(float xNeu, float yNeu, float dNeu, float hueNeu) {
    x = xNeu;
    y = yNeu;
    colorMode(HSB,360,100,100);
    c1 = color(hueNeu,100,100); 
    c2 = color((hueNeu+90)%360,100,100);
    c3 = color((hueNeu+180)%360,100,100);
    c4 = color((hueNeu+270)%360,100,100); 
    d = dNeu;
  }
  
  void show() {
    pushMatrix();
    translate(x,y);
    
    //äußerste Kreis
    fill(c4);
    float angle = 45*PI/180;
    rotate(22.5*PI/180);
    for (int i=0;i<8;i++) {
      circle(0,0.9*d,0.88*d);
      rotate(angle);
    }
    
    //dritt innerster Kreis
    fill(c3);
    rotate(22.5*PI/180);
    for (int i=0;i<8;i++) {
      circle(0,0.75*d,0.67*d);
      rotate(angle);
    }
    rotate(22.5*PI/180);
    
    //zweit innersten Kreis
    fill(c2);
    float distance = 0.97*d/2;
    float d2 = 0.75*d;
    circle(0,distance,d2);
    rotate(PI/2);
    circle(0,distance,d2);
    rotate(PI/2);
    circle(0,distance,d2);
    rotate(PI/2);
    circle(0,distance,d2);
    
    //innere Kreis
    fill(c1);
    circle(0,0,d);
    
    popMatrix();
  }
  
}
